package com.fuyuanshen.modules.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @TableName device_assignments
 */
@TableName(value = "device_assignments")
@Data
public class DeviceAssignments {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 分配方
     */
    private Long fromCustomerId;

    /**
     * 接收方
     */
    private Long toCustomerId;

    /**
     * 分配时间
     */
    private Date assignedAt;

    /**
     * 0 未授权
     * 1 已授权
     * 是否同步授权了设备类型
     */
    private Integer deviceTypeGranted;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DeviceAssignments other = (DeviceAssignments) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId())) && (this.getDeviceId() == null ? other.getDeviceId() == null : this.getDeviceId().equals(other.getDeviceId())) && (this.getFromCustomerId() == null ? other.getFromCustomerId() == null : this.getFromCustomerId().equals(other.getFromCustomerId())) && (this.getToCustomerId() == null ? other.getToCustomerId() == null : this.getToCustomerId().equals(other.getToCustomerId())) && (this.getAssignedAt() == null ? other.getAssignedAt() == null : this.getAssignedAt().equals(other.getAssignedAt())) && (this.getDeviceTypeGranted() == null ? other.getDeviceTypeGranted() == null : this.getDeviceTypeGranted().equals(other.getDeviceTypeGranted()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDeviceId() == null) ? 0 : getDeviceId().hashCode());
        result = prime * result + ((getFromCustomerId() == null) ? 0 : getFromCustomerId().hashCode());
        result = prime * result + ((getToCustomerId() == null) ? 0 : getToCustomerId().hashCode());
        result = prime * result + ((getAssignedAt() == null) ? 0 : getAssignedAt().hashCode());
        result = prime * result + ((getDeviceTypeGranted() == null) ? 0 : getDeviceTypeGranted().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", deviceId=").append(deviceId);
        sb.append(", fromCustomerId=").append(fromCustomerId);
        sb.append(", toCustomerId=").append(toCustomerId);
        sb.append(", assignedAt=").append(assignedAt);
        sb.append(", deviceTypeGranted=").append(deviceTypeGranted);
        sb.append("]");
        return sb.toString();
    }

}