package com.fuyuanshen.modules.system.domain;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import com.fuyuanshen.base.BaseEntity;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
import java.sql.Timestamp;

/**
 * @Description: 设备类型
 * @Author: WY
 * @Date: 2025/5/14
 **/
@Data
@TableName("device_type")
public class DeviceType extends BaseEntity implements Serializable {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID", hidden = true)
    private Long id;

    @ApiModelProperty(value = "客户号")
    private Long customerId;

    @ApiModelProperty(value = "创建该类型的客户")
    private String ownerCustomerId;
    /**
     * 租户ID
     */
    // @TableField(value = "tenant_id")
    // @ApiModelProperty(hidden = true)
    // private Long tenantId;

    @NotBlank(message = "设备类型名称不能为空")
    @ApiModelProperty(value = "类型名称", required = true)
    private String typeName;

    @ApiModelProperty(value = "是否支持蓝牙")
    private Boolean isSupportBle;

    @ApiModelProperty(value = "定位方式", example = "0:无;1:GPS;2:基站;3:wifi;4:北斗")
    private String locateMode;

    @ApiModelProperty(value = "联网方式", example = "0:无;1:4G;2:WIFI")
    private String networkWay;

    @ApiModelProperty(value = "通讯方式", example = "0:4G;1:蓝牙")
    private String communicationMode;


    public void copy(DeviceType source) {
        BeanUtil.copyProperties(source, this, CopyOptions.create().setIgnoreNullValue(true));
    }

}
