package com.fuyuanshen.modules.system.domain.app;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fuyuanshen.base.BaseEntity;
import com.fuyuanshen.modules.system.domain.Device;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 设备表
 * @Author: WY
 * @Date: 2025/5/16
 **/
@Data
@TableName("app_device")
public class APPDevice extends BaseEntity implements Serializable {

    @TableId(value = "app_device_id", type = IdType.AUTO)
    @ApiModelProperty(value = "ID")
    private Long id;


    @ApiModelProperty(value = "设备类型")
    private Long deviceType;

    @ApiModelProperty(value = "设备类型名称")
    private String deviceTypeName;

    @ApiModelProperty(value = "客户号")
    private Long customerId;

    @ApiModelProperty(value = "所属客户")
    private String customerName;

    /*@ApiModelProperty(value = "设备编号")
    private String deviceNo;*/

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备图片")
    private String devicePic;

    @ApiModelProperty(value = "设备MAC")
    private String deviceMac;

    @ApiModelProperty(value = "设备SN")
    private String deviceSn;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    @ApiModelProperty(value = "设备类型名称")
    private String typeName;

    /**
     * 租户ID
     */
    @TableField(value = "tenant_id")
    @ApiModelProperty(hidden = true)
    private Long tenantId;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    @ApiModelProperty(value = "设备状态")
    private Integer deviceStatus;

    /**
     * 绑定状态
     * 0 未绑定
     * 1 已绑定
     */
    @ApiModelProperty(value = "绑定状态")
    private Integer bindingStatus;


    public void copy(Device source) {
        BeanUtil.copyProperties(source, this, CopyOptions.create().setIgnoreNullValue(true));
    }



}
