package com.fuyuanshen.modules.system.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Set;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/16
 **/
@Data
public class DeviceQueryCriteria {

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "设备类型")
    private Long deviceType;

    @ApiModelProperty(value = "设备MAC")
    private String deviceMac;

    @ApiModelProperty(value = "设备SN")
    private String deviceSn;

    /**
     * 设备状态
     * 0 失效
     * 1 正常
     */
    @ApiModelProperty(value = "设备状态  0 失效 1 正常  ")
    private Integer deviceStatus;

    @ApiModelProperty(value = "创建时间")
    private List<Timestamp> createTime;

    @ApiModelProperty(value = "页码", example = "1")
    private Integer page = 1;

    @ApiModelProperty(value = "每页数据量", example = "10")
    private Integer size = 10;

    @ApiModelProperty(value = "客户id")
    private Long customerId;
    private Set<Long> customerIds;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;

}
