package com.fuyuanshen.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fuyuanshen.modules.system.domain.DeviceType;
import com.fuyuanshen.modules.system.domain.dto.DeviceTypeQueryCriteria;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/14
 **/
@Mapper
public interface DeviceTypeMapper extends BaseMapper<DeviceType> {

    /**
     * 分页查询设备类型
     *
     * @param criteria
     * @param page
     * @return
     */
    IPage<DeviceType> findAll(@Param("criteria") DeviceTypeQueryCriteria criteria, Page<Object> page);


    /**
     * 查询所有设备类型
     *
     * @param criteria
     * @return
     */
    List<DeviceType> findAll(@Param("criteria") DeviceTypeQueryCriteria criteria);

}
