package com.fuyuanshen.modules.system.rest.mp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fuyuanshen.modules.system.domain.app.APPDevice;
import com.fuyuanshen.modules.system.domain.dto.DeviceForm;
import com.fuyuanshen.modules.system.domain.dto.DeviceQueryCriteria;
import com.fuyuanshen.modules.system.domain.dto.app.APPUnbindDTO;
import com.fuyuanshen.modules.system.service.app.APPDeviceService;
import com.fuyuanshen.modules.utils.ResponseVO;
import com.fuyuanshen.utils.PageResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/16
 **/
@Slf4j
@Api(tags = "小程序用户设备管理")
@RestController
@RequiredArgsConstructor
@RequestMapping("/api/smallProgram/device")
public class MPDeviceController {

    private final APPDeviceService appDeviceService;


    @GetMapping
    @ApiOperation("查看小程序用户设备绑定")
    public ResponseVO<PageResult<APPDevice>> queryAPPDevice(DeviceQueryCriteria criteria) {
        Page<APPDevice> page = new Page<>(criteria.getPage(), criteria.getSize());
        PageResult<APPDevice> devices = null;
        try {
            devices = appDeviceService.queryAll(page, criteria);
        } catch (Exception e) {
            log.error("queryDevice error: " + e.getMessage());
            return ResponseVO.fail("");
        }
        return ResponseVO.success(devices);
    }


    @PostMapping(value = "/unbind")
    @ApiOperation("小程序用户设备解绑")
    public ResponseVO<String> unbindAPPDevice(@ModelAttribute APPUnbindDTO deviceForm) {
        appDeviceService.unbindAPPDevice(deviceForm);
        return ResponseVO.success("解绑成功！！！");
    }


}
