package com.fuyuanshen.modules.system.service.app;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fuyuanshen.modules.system.domain.Device;
import com.fuyuanshen.modules.system.domain.app.APPDevice;
import com.fuyuanshen.modules.system.domain.dto.CustomerVo;
import com.fuyuanshen.modules.system.domain.dto.DeviceForm;
import com.fuyuanshen.modules.system.domain.dto.DeviceQueryCriteria;
import com.fuyuanshen.modules.system.domain.dto.app.APPUnbindDTO;
import com.fuyuanshen.utils.PageResult;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * @Description:
 * @Author: WY
 * @Date: 2025/5/16
 **/
public interface APPDeviceService extends IService<APPDevice> {

    /**
     * 分页查询APP/小程序设备绑定
     *
     * @param criteria
     * @param page
     * @return
     */
    PageResult<APPDevice> queryAll(Page<APPDevice> page, DeviceQueryCriteria criteria);

    /**
     * APP/小程序用户设备解绑
     *
     * @param deviceForm
     */
    void unbindAPPDevice(APPUnbindDTO deviceForm);

}
